Bug 110023 - Upgrade from sendmail 8.11.6 to 8.12.10 fails to process /etc/mail/submit.mc
Upgrade from sendmail 8.11.6 to 8.12.10 fails to process /etc/mail/submit.mc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 22:23 EST by Jeff Pitman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 09:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Pitman 2003-11-13 22:23:47 EST
Description of problem: 
 
Upgrade from sendmail 8.11.6 to 8.12.10 fails to process 
/etc/mail/submit.mc.  The generated file /etc/mail/submit.cf exists, 
however the Queue directory points to the old 8.11.6 version of 
/var/spool/mqueue instead of the new one, /var/spool/clientmqueue, 
as required by version 8.12.10. 
 
How reproducible: 
 
Using the upgrade installation method, or apt-get dist-upgrade. 
 
Steps to Reproduce: 
 
1. Setup a Redhat 7.3 machine. 
2. Install apt. 
3. Point sources.list to Fedora Core 1. 
4. Execute apt-get dist-upgrade. 
5. Go to bed. 
6. Wake up; take a shower. 
7. Reboot. 
8. Run "mail" to send a message to a local user. 
   
Actual results: 
 
Executing the 'mail' command will result in a Permission Denied 
message regarding the /var/spool/mqueue directory. 
 
Expected results: 
 
Mail should work. 
 
Additional info: 
 
It's possible something funky happened during the %postun of 8.11 or 
the %post of 8.12 regarding the m4 command.  Maybe 8.12 did the "m4 
/etc/mail/submit.mc" too early and didn't know which default queue 
directory to setup. 
 
Enjoy!
Comment 1 Thomas Woerner 2004-04-22 09:27:42 EDT
I am sorry, but there were major changes in sendmail from Red Hat 7.3
to Fedora Core 1. 

Please reinstall sendmail and check for errors afterwards. 

Note You need to log in before you can comment on or make changes to this bug.